<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
/*---------------------------------------------------+
| Donation Manager
+----------------------------------------------------+
| Copyright  2005 - 2006 Chris Allen
| http://www.teamtus.com/
| Update - Dallas
| http://dtawebdesign.com/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."donation_manager_panel/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);

if (file_exists(INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."donation_manager_panel/locale/English.php";
}

if (!isset($step)) $step = "";

//Page Functions:
	//Process Changes using STEP functionality
	
//Donate_O_Meter.php
//  - SubmitDonation
//	 	once donation entered send to ?step=SubmitDonation
//	- 
//	- 
//	- 
//	- 
//Donate_O_Meter_admin.php
//	- Install => Only show when not installed! - Adds records to DB...
//		Check when opening admin page to verify its installed. If not installed
//			then open install and install the db. After installed hide/disable option!
//	- ConfigForm => Show Config Form - Setup Payments and Quota's
//	- UpdateConfig => Process Config Info
//	- ReconcileDonations => 
//	- SubmitDonation => Shows Submit Donation
//	- RemoveDonation => Shows Configure Page
//	- UpdateDonation => 
//	- PPIPN => Submission Page
//	- Show link to IPN Page for paypal to hit. IPN/ppipn.php
//	- 
//	- 
//Donate_O_Meter_panel.php
//	- Link to Donate_O_Meter.php
//Donate_O_Meter_infusion.php
//	- Builds DB
//	- 
//	- 
//	- 


//Get checked config
	$get_config = dbquery("SELECT * FROM ".$db_prefix."dm_config");
	while($data = dbarray($get_config)) {
		$dm_config_id = $data['Id'];
		$pp_email_addr = $data['pp_email_addr'];
		$dpanel_swing_day = $data['dpanel_swing_day'];
		$dpanel_num_don = $data['dpanel_num_don'];
		$dpanel_show_amt = $data['dpanel_show_amt'];
		$dpanel_show_date = $data['dpanel_show_date'];
		$img_dpanel_button = $data['img_dpanel_button'];
		$img_don_submit_button = $data['img_don_submit_button'];
		$img_don_top_button = $data['img_don_top_button'];
		$img_paypal_header = $data['img_paypal_header'];
		$pp_cancel_url = $data['pp_cancel_url'];
		$pp_thankyou_url = $data['pp_thankyou_url'];
		$pp_item_name = $data['pp_item_name'];
		$dpanel_hdr_text = $data['dpanel_hdr_text'];
		$don_amount_checked = $data['don_amount_checked'];
		$pp_item_num = $data['pp_item_num'];
		$don_prompt_anon_show = $data['don_prompt_anon_show'];
		$ipn_debug_lvl = $data['ipn_debug_lvl'];
		$ipn_log_entries = $data['ipn_log_entries'];
		$don_hdr_text = $data['don_hdr_text'];
	}

//Setup donations page with options and form
	$DONATION_AMOUNTS = "";
	$get_donation_amounts = dbquery("SELECT * from ".DB_DM_OPTIONS." WHERE name='don_amt' ORDER BY subtype");
	while($data = dbarray($get_donation_amounts)) {
		
		if( is_numeric($data['value']) && $data['value'] > 0 )
		{
			if( $data['subtype'] == $don_amount_checked ){
				$checked = "checked";
			}else{
				$checked = "";
			}
				
			$DONATION_AMOUNTS .= '<input type="radio" name="amount" value="' 
							   . $data['value'] . '" '
							   . $checked .'> ' . sprintf('$%.02f',$data['value']) . '<br>' . "\n";
		}
	}






//Setup donations page with who has donated this month...
	$ROWS_DONATORS = "    	    <table style=\"border-collapse: collapse\" bordercolor=\"#111111\" cellpadding=\"1\" cellspacing=\"0\">
  	          <tr>
                <td width=\"100%\" colspan=\"3\"><b>Who has donated so far this month</b><br>&nbsp;</td>
              </tr>
  	          <tr>
                <td align=\"left\" width=125><b>Name</b></td>
                <td align=\"left\" width=75><b>Donation</b></td>
                <td align=\"left\" width=100><b>Date</b></td>
              </tr>
			  <tr>
			    <td colspan=\"3\"><hr></td>
			  </tr>";


//Get users who want to show anonymous
	$get_cur_donation_amounts = dbquery("select 
											business, 
											'Anonymous' as donation_nick,
											SUM(mc_gross) as donation_amount
											FROM 
											fusion_dm_transactions 
											WHERE DATE_FORMAT(payment_date, '%M %Y') = DATE_FORMAT(now(), '%M %Y') AND 
                                                  (option_selection1 <> 'Yes' OR option_selection2 = '' OR option_selection2 IS NULL) AND business = '".$pp_email_addr."'
											GROUP BY donation_nick");
	while($data2 = dbarray($get_cur_donation_amounts)) {
		$donation_nick = $data2['donation_nick'];
		$donation_amount = $data2['donation_amount'];
		
			$ROWS_DONATORS .= '<tr><td>'. $donation_nick .'</td><td>'. sprintf('$%.02f',$donation_amount) . '</td><td>'. $donation_date . '</td></tr>' . "\n";
	}



//Get Users who want to show they have donated...
	$get_cur_donation_amounts = dbquery("select
										       business,
										       	u.user_name as donation_nick, 
										       DATE_FORMAT(trans.payment_date, '%M %d') as donation_date,
										       SUM(trans.mc_gross) as donation_amount 
                                             FROM 
										       fusion_dm_transactions trans, 
                                               fusion_users u
										     WHERE u.user_id = trans.option_selection2 AND DATE_FORMAT(trans.payment_date, '%M %Y') = DATE_FORMAT(now(), '%M %Y') AND trans.option_selection1 = 'YES' AND option_selection2 <> '' AND business = '".$pp_email_addr."'
										     GROUP BY u.user_name
                                             ORDER BY trans.payment_date DESC");
	while($data2 = dbarray($get_cur_donation_amounts)) {
		$donation_nick = $data2['donation_nick'];
		$donation_amount = $data2['donation_amount'];
		$donation_date = $data2['donation_date'];
		
			if($donation_amount > 25){
				$new_donation_amount = sprintf('$%.02f','25.00') . '+';
			}else{
				$new_donation_amount = sprintf('$%.02f',$donation_amount);
			}

			$ROWS_DONATORS .= '<tr><td>'. $donation_nick .'</td><td>'. $new_donation_amount . '</td><td>'. $donation_date . '</td></tr>' . "\n";
	}

$ROWS_DONATORS .= '</table>';



opentable("Donations");
echo"
<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"4\" style=\"border-collapse: collapse\">
  <tr>
    <td><center>
      <font size=\"5\">".$locale['don_main_hdr_text']."</font><br>
	  <a href=\"#MakeDonation\"><img border=\"0\" src=\"$img_don_top_button\"></a></center>
	  <hr>
	  $don_hdr_text
	  <a name=\"MakeDonation\"></a><a name=\"AdminTop\"></a>
      <hr>
      <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" id=\"AutoNumber1\" height=\"1\">
        <tr>
          <td rowspan=\"6\" height=\"1\"><b><font size=\"4\">".$locale['don_small_hdr_text']."</font></b>
		    <form action=\"https://www.paypal.com/cgi-bin/webscr\" target=\"paypal\" method=\"post\">
			  <p> 
				<input type=\"hidden\" name=\"cmd\" value=\"_xclick\">
				<input type=\"hidden\" name=\"business\" value=\"$pp_email_addr\" >
				<input type=\"hidden\" name=\"item_name\" value=\"$pp_item_name\">
				<input type=\"hidden\" name=\"item_number\" value=\"110\">
				Please select an amount:<br>
				<input type=\"radio\" name=\"amount\" value=\"\"> Other&nbsp; 
				<input type=\"text\" name=\"amount\" value=\"$0.00\" size=\"10\">
				<input type=\"hidden\" name=\"rm\" value=\"2\">
				<br>
				$DONATION_AMOUNTS
				<br>
			  </p>
              <p> 
				<input type=\"hidden\" name=\"on0\" value=\"List your name? \">
				".$locale['don_question_showname']."<br>
				<select size=\"Yes\" name=\"os0\">
				  <option selected value=\"Yes\">".$locale['don_answer_yes_showname']."</option>
				  <option value=\"No\">".$locale['don_answer_no_showname']."</option>
				</select> &nbsp;
			  </p>
				<input type=\"hidden\" name=\"on1\" value=\"Donated by?\">
				<input type=\"hidden\" name=\"os1\" value=\"".$userdata['user_id']."\">
				<input type=\"hidden\" name=\"no_shipping\" value=\"0\">
				<input type=\"hidden\" name=\"currency_code\" value=\"USD\">
				<input type=\"hidden\" name=\"cn\" value=\"Comments\">
				<input type=\"hidden\" name=\"custom\" value=\"$user_name\">
				<input type=\"hidden\" name=\"cancel_return\" value=\"$pp_cancel_url\"> 
				<input type=\"hidden\" name=\"return\" value=\"$pp_thankyou_url\">
				<input type=\"hidden\" name=\"image_url\" value=\"$img_paypal_header\">

              <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
                <input type=\"image\" src=\"$img_don_submit_button\" border=\"0\" name=\"I1\">
              </p>
            </form>
	      </td>
	      <td valign=\"top\">
			$ROWS_DONATORS
          </td>
		</tr>
      </table>
	</td>
  </tr>
</table>
";

//echo "value=\"".$userdata['user_id']."\"";
closetable();

require_once THEMES."templates/footer.php";
?>