<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
/*---------------------------------------------------+
| Donation Manager
+----------------------------------------------------+
| Copyright  2005 - 2006 Chris Allen
| http://www.teamtus.com/
| Update - Dallas
| http://dtawebdesign.com/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

include INFUSIONS."donation_manager_panel/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);

if (file_exists(INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."donation_manager_panel/locale/English.php";
}
include INFUSIONS."donation_manager_panel/includes/inc_functions.php";

openside("Donate");
//echo "<center>".$locale['dm_err001']."</center>\n";
// Before we show the panel. Verify the DB has been setup.

//Query count of records in monthly donations.
	//IF 0 do not start second table with donations.
	
//Query current monthly donation settings... Validate the database is setup first...
	//If db not setup. - Show "The donation block is currently not setup. please verify settings in admin."
//validate if table exists...
$checktable = fnTableExists($db_name, $db_prefix."dm_config");
//echo "Checking: ".$db_prefix."dm_config, ".$checktable." - in: ".$db_name;
if ($checktable != false){
	$check_db = dbquery("SELECT * FROM ".$db_prefix."dm_config");
	if (dbrows($check_db) != 0) {
		while($data = dbarray($check_db)) {
			$pp_email_addr = $data['pp_email_addr'];
			if ($pp_email_addr != ''){

//Get Config Data
				$get_config = dbquery("SELECT * FROM ".$db_prefix."dm_config");
				while($data = dbarray($get_config)) {
					$dm_config_id = $data['Id'];
					$pp_email_addr = $data['pp_email_addr'];
					$dpanel_swing_day = $data['dpanel_swing_day'];
					$dpanel_num_don = $data['dpanel_num_don'];
					$dpanel_show_amt = $data['dpanel_show_amt'];
					$dpanel_show_date = $data['dpanel_show_date'];
					$img_dpanel_button = $data['img_dpanel_button'];
					$img_don_submit_button = $data['img_don_submit_button'];
					$img_don_top_button = $data['img_don_top_button'];
					$img_paypal_header = $data['img_paypal_header'];
					$pp_cancel_url = $data['pp_cancel_url'];
					$pp_thankyou_url = $data['pp_thankyou_url'];
					$pp_item_name = $data['pp_item_name'];
					$dpanel_hdr_text = $data['dpanel_hdr_text'];
					$don_amount_checked = $data['don_amount_checked'];
					$pp_item_num = $data['pp_item_num'];
					$don_prompt_anon_show = $data['don_prompt_anon_show'];
					$ipn_debug_lvl = $data['ipn_debug_lvl'];
					$ipn_log_entries = $data['ipn_log_entries'];
				}

//Get Options Data For This Month
				$cur_month = date("M");
				$get_options = dbquery("SELECT *, DATE_FORMAT( SUBDATE( DATE_FORMAT( ADDDATE( NOW() , INTERVAL 1 MONTH ) , '%Y-%c-1' ) , INTERVAL 1 DAY ) , ' %b %e' ) AS due_by FROM ".$db_prefix."dm_options where subtype ='".$cur_month."'");
				while($data = dbarray($get_options)) {
					$dm_option_id = $data['Id'];
					$dm_option_name = $data['name'];
					$dm_option_subtype = $data['subtype'];
					$dm_option_value = sprintf('$%.02f',$data['value']);
					$dm_option_text = $data['text'];
					$dm_option_due_date = $data['due_by'];
				}

//Get panel information for Gross and Other Data...
				$ipnppd = mysql_pconnect($db_host, $db_user, $db_pass) or die(mysql_error());
				mysql_select_db($db_name, $ipnppd);

				$query_Recordset1 = "SELECT "
					. " business, "
					. " COUNT( mc_gross ) AS count, "
					. " SUM( mc_gross ) AS gross, "
					. " SUM( mc_gross - mc_fee ) AS net, "
					. " DATE_FORMAT( SUBDATE( NOW( ) , INTERVAL 1 DAY ) , '%M' ) AS mon,"
					. " 'Now!' AS due_by,"
					. " DATE_FORMAT( NOW( ), '%b' ) AS mon_short"
					. " FROM fusion_dm_transactions"
					. " WHERE DATE_FORMAT(payment_date , '%Y-%m') = DATE_FORMAT( NOW( ) , '%Y-%m') AND item_number = '$pp_item_num' AND business = '".$pp_email_addr."'"
					. " GROUP BY business ";
					//echo $pp_item_num;
			
				// Get the donation totals
				$Recordset1 = mysql_query($query_Recordset1, $ipnppd) or die(mysql_error());
				$row_Recordset1 = mysql_fetch_assoc($Recordset1);
				//If there are not records, then get "null" data
				if( !$row_Recordset1 )
				{
					$query_Recordset1 = "SELECT '' AS business, '0' AS count, '0' AS gross, '0' AS net, DATE_FORMAT(NOW(),'%M') AS mon, DATE_FORMAT( SUBDATE( DATE_FORMAT( ADDDATE( NOW( ) , INTERVAL 1 "
						." MONTH ) , '%Y-%c-1' ) , INTERVAL 1 DAY ) , ' %b %e' ) AS due_by, DATE_FORMAT( NOW( ) , '%b' ) AS mon_short";
					$Recordset1 = mysql_query($query_Recordset1, $ipnppd) or die(mysql_error());
					$row_Recordset1 = mysql_fetch_assoc($Recordset1);
				}
				 
				// Get the goal
				$query_Recordset2 = $sql = "SELECT * FROM fusion_dm_options WHERE name='goal' AND subtype='".$row_Recordset1['mon_short']."'";
				$Recordset2= mysql_query($query_Recordset2, $ipnppd) or die(mysql_error());
				$row_Recordset2 = mysql_fetch_assoc($Recordset2); 
			
				//$DM_GOAL = sprintf('$%.02f', $row_Recordset2['value']);
				//$DM_DUE = $row_Recordset1['due_by'];
				//$DM_NUM = $row_Recordset1['count'];
				$DM_GROSS = sprintf('$%.02f',$row_Recordset1['gross']);
				$DM_NET = sprintf('$%.02f',$row_Recordset1['net']);
				$DM_LEFT = sprintf('$%.02f', $row_Recordset2['value'] - $row_Recordset1['net']);
				if($row_Recordset2['value'] - $row_Recordset1['net'] < 0){
					$DM_LEFT = sprintf('$%.02f', '0');
				}
				

//Process table and form to show in the panel.
				include INFUSIONS."donation_manager_panel/includes/donationmeter.php";
			}else{
				//email not configured. Set error message.
				echo "<center>".$locale['dm_err001']."</center>\n";
			}
		}
	} else {
		echo "<center>".$locale['dm_err001']."</center>\n";
	}
}else{
	//config table missing. Notify user...
	echo "<center>".$locale['dm_err002']."</center>\n";
}

closeside();
?>