<?

//Header("Content-type: Excel.sheet"); 
//Header("Content-Disposition: filename=". date("Y-m-d") .".csv"); 
require_once "../../../maincore.php";

	$TABLE_DATA = "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
		    <tr align='center'> 
		      <td colspan='9'><strong><font size='3'>Members Summary</font></strong></td>
		    </tr>\n
		    <tr align='center'> 
		      <td colspan='9'>&nbsp;</td>
		    </tr>\n
		    <tr>
		      <td><b>Member</b></td>
		      <td><b>Joined</b></td>
		      <td><b>Yearly Fee</b></td>
		      <td><b>Adj Fee</b></td>
		      <td><b>YTD Fees Paid</b></td>
		      <td><b>YTD Fees Leftover</b></td>
		      <td><b>YTD % Paid</b></td>
		      <td><b>Projected YTD %</b></td>
		      <td><b>Projected YTD Total</b></td>
		    </tr>\n";


//Generate table data for members who have donated.
	$get_current_info = dbquery("SELECT 
			u.user_name as username,
		    f.terms as terms,
		    ROUND(f.yearlyfee, 2) as yearly_set_fee,
			CASE DATE_FORMAT(f.joinDate, '%Y')
				WHEN DATE_FORMAT(now(), '%Y')
					THEN ROUND((f.yearlyfee / 12) * ((DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1)), 2)
					ELSE ROUND(f.yearlyfee, 2)
            		END as adj_yearly_fee,
		    ROUND(sum(t.mc_gross),2) as ytd_paid,
		    (12 - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_total_months,
		    (DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_months_passed,
			DATE_FORMAT(f.joinDate, '%Y') as join_year,
			DATE_FORMAT(f.joinDate, '%c') as join_month
		FROM fusion_users u, fusion_dm_fees f, fusion_dm_transactions t
		WHERE f.user_id = u.user_id and t.option_selection2 = f.user_id
		GROUP BY t.option_selection2 ORDER BY u.user_name");

	while($data = dbarray($get_current_info)) {
		$str_username = $data['username'];
		$int_joinDate = $data['join_month'] . "." . $data['join_year'];
		$int_yearlyFee = sprintf('$%.02f',$data['yearly_set_fee']);
		$int_adjFee = sprintf('$%.02f',$data['adj_yearly_fee']);
		$int_ytdFeesPaid = sprintf('$%.02f',$data['ytd_paid']);
		$int_tydFeedLeftover = sprintf('$%.02f',($data['adj_yearly_fee'] - $data['ytd_paid']));
		$int_ytdPctPaid = sprintf('%.00f',$data['ytd_paid'] / $data['adj_yearly_fee'] * 100);
		$int_projYTDPct = sprintf('%.00f',(100 / $data['adj_total_months']) * $data['adj_months_passed']);
		$int_projYTDTotal = sprintf('$%.02f',($data['adj_yearly_fee'] / $data['adj_total_months']) * $data['adj_months_passed']);

		$TABLE_DATA .= "<tr>";
		$TABLE_DATA .= "	<td align='left'>" . $str_username . "</td>";
		$TABLE_DATA .= "	<td>" . $int_joinDate . "</td>";
		$TABLE_DATA .= "	<td>" . $int_yearlyFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_adjFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdFeesPaid . "</td>";
		$TABLE_DATA .= "	<td>" . $int_tydFeedLeftover . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdPctPaid . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDPct . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDTotal . "</td>";
		$TABLE_DATA .= "</tr>\t";
	}













//Generate list 2. Users who have NOT donated yet...
	$get_user_list = dbquery("SELECT u.user_name as username,
					f.terms as terms,
					ROUND(f.yearlyfee, 2) as yearly_set_fee,
					CASE DATE_FORMAT(f.joinDate, '%Y')
						WHEN DATE_FORMAT(now(), '%Y')
							THEN ROUND((f.yearlyfee / 12) * ((DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1)), 2)
							ELSE ROUND(f.yearlyfee, 2)
							END as adj_yearly_fee,
						ROUND(0,2) as ytd_paid,
						(12 - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_total_months,
						(DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_months_passed,
						DATE_FORMAT(f.joinDate, '%Y') as join_year,
						DATE_FORMAT(f.joinDate, '%c') as join_month
					FROM fusion_users u, fusion_dm_fees f
					LEFT JOIN fusion_dm_transactions t ON 
					f.user_id = t.option_selection2
					WHERE t.option_selection2 is null AND f.user_id = u.user_id
					ORDER BY u.user_name
	");
	while($data = dbarray($get_user_list)) {
		$str_username = $data['username'];
		$int_joinDate = $data['join_month'] . "." . $data['join_year'];
		$int_yearlyFee = sprintf('$%.02f',$data['yearly_set_fee']);
		$int_adjFee = sprintf('$%.02f',$data['adj_yearly_fee']);
		$int_ytdFeesPaid = sprintf('$%.02f',$data['ytd_paid']);
		$int_tydFeedLeftover = sprintf('$%.02f',($data['adj_yearly_fee'] - $data['ytd_paid']));
		$int_ytdPctPaid = sprintf('%.00f',$data['ytd_paid'] / $data['adj_yearly_fee'] * 100);
		$int_projYTDPct = sprintf('%.00f',(100 / $data['adj_total_months']) * $data['adj_months_passed']);
		$int_projYTDTotal = sprintf('$%.02f',($data['adj_yearly_fee'] / $data['adj_total_months']) * $data['adj_months_passed']);

		$TABLE_DATA .= "<tr>";
		$TABLE_DATA .= "	<td align='left'>" . $str_username . "</td>";
		$TABLE_DATA .= "	<td>" . $int_joinDate . "</td>";
		$TABLE_DATA .= "	<td>" . $int_yearlyFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_adjFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdFeesPaid . "</td>";
		$TABLE_DATA .= "	<td>" . $int_tydFeedLeftover . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdPctPaid . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDPct . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDTotal . "</td>";
		$TABLE_DATA .= "</tr>\t";
	}
		$TABLE_DATA .= "</table>\n";


header("Content-Type: application/vnd.ms-excel; name='excel'");
header("Content-disposition: attachment; filename=" .date("Y-m-d").".xls");

echo $TABLE_DATA;


?>