<?

//Header("Content-type: Excel.sheet"); 
//Header("Content-Disposition: filename=". date("Y-m-d") .".csv"); 


	$TABLE_DATA2 = "<table>";
	$get_user_list = dbquery("SELECT u.user_name as username,
					f.terms as terms,
					ROUND(f.yearlyfee, 2) as yearly_set_fee,
					CASE DATE_FORMAT(f.joinDate, '%Y')
						WHEN DATE_FORMAT(now(), '%Y')
							THEN ROUND((f.yearlyfee / 12) * ((DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1)), 2)
							ELSE ROUND(f.yearlyfee, 2)
							END as adj_yearly_fee,
						ROUND(0,2) as ytd_paid,
						(12 - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_total_months,
						(DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_months_passed,
						DATE_FORMAT(f.joinDate, '%Y') as join_year,
						DATE_FORMAT(f.joinDate, '%c') as join_month
					FROM fusion_users u, fusion_dm_fees f
					LEFT JOIN fusion_dm_transactions t ON 
					f.user_id = t.option_selection2
					WHERE t.option_selection2 is null AND f.user_id = u.user_id
					ORDER BY u.user_name
	");
	while($data = dbarray($get_user_list)) {
		$str_username = $data['username'];
		$int_joinDate = $data['join_month'] . "." . $data['join_year'];
		$int_yearlyFee = sprintf('$%.02f',$data['yearly_set_fee']);
		$int_adjFee = sprintf('$%.02f',$data['adj_yearly_fee']);
		$int_ytdFeesPaid = sprintf('$%.02f',$data['ytd_paid']);
		$int_tydFeedLeftover = sprintf('$%.02f',($data['adj_yearly_fee'] - $data['ytd_paid']));
		$int_ytdPctPaid = sprintf('%.00f',$data['ytd_paid'] / $data['adj_yearly_fee'] * 100);
		$int_projYTDPct = sprintf('%.00f',(100 / $data['adj_total_months']) * $data['adj_months_passed']);
		$int_projYTDTotal = sprintf('$%.02f',($data['adj_yearly_fee'] / $data['adj_total_months']) * $data['adj_months_passed']);
		
		$TABLE_DATA2 .= "<tr>";
		$TABLE_DATA2 .= "	<td>" . $str_username . "</td>";
		$TABLE_DATA2 .= "	<td>" . $int_joinDate . "</td>";
		$TABLE_DATA2 .= "	<td>" . $int_yearlyFee . "</td>";
		$TABLE_DATA2 .= "	<td>" . $int_adjFee . "</td>";
		$TABLE_DATA2 .= "	<td>" . $int_ytdFeesPaid . "</td>";
		$TABLE_DATA2 .= "	<td>" . $int_tydFeedLeftover . "</td>";
		$TABLE_DATA2 .= "	<td>" . $int_ytdPctPaid . "%</td>";
		$TABLE_DATA2 .= "	<td>" . $int_projYTDPct . "%</td>";
		$TABLE_DATA2 .= "	<td>" . $int_projYTDTotal . "</td>";
		$TABLE_DATA2 .= "</tr>\t";
	}
		$TABLE_DATA2 .= "</table>\n";



//$fileName = 'mysql-to-excel.xls';
//header("Content-type: application/vnd.ms-excel"); 
//header("Content-Disposition: attachment; filename=$fileName");
header("Content-Type: application/vnd.ms-excel; name='excel'");
header("Content-disposition: attachment; filename=" .date("Y-m-d").".xls");

     
// Common table headings for all tables
//echo "";

		echo $TABLE_DATA2;


?>