<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
/*---------------------------------------------------+
| Donation Manager
+----------------------------------------------------+
| Copyright  2005 - 2006 Chris Allen
| http://www.teamtus.com/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."donation_manager_panel/infusion_db.php";

if (file_exists(INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."donation_manager_panel/locale/English.php";
}

// Infusion Information
$inf_title = $locale['dm_inf_title'];
$inf_description = $locale['dm_inf_desc'];
$inf_version = $locale['dm_inf_version'];
$inf_developer = $locale['dm_inf_developer'];
$inf_email = $locale['dm_inf_email'];
$inf_weburl = $locale['dm_inf_weburl'];

$inf_folder = "donation_manager_panel";

//$inf_link_name = $locale['dm_inf_title'];
//$inf_link_url = "donate.php";

// Database Table information : Create database tables.
$inf_newtable[1] = DB_DM_CONFIG." (
Id int(11) NOT NULL auto_increment,
pp_email_addr varchar(200) NOT NULL default '',
dpanel_swing_day tinyint(2) NOT NULL default '0',
dpanel_num_don tinyint(2) NOT NULL default '5',
dpanel_show_amt int(1) NOT NULL default '1',
dpanel_show_date int(1) NOT NULL default '1',
img_dpanel_button varchar(200) NOT NULL default 'https://www.paypal.com/en_US/i/btn/x-click-but21.gif',
img_don_submit_button varchar(200) NOT NULL default 'https://www.paypal.com/en_US/i/btn/x-click-but04.gif',
img_don_top_button varchar(200) NOT NULL default 'https://www.paypal.com/en_US/i/btn/x-click-but21.gif',
img_paypal_header varchar(200) default NULL,
pp_cancel_url varchar(200) default NULL,
pp_thankyou_url varchar(200) default NULL,
pp_item_name varchar(128) NOT NULL default 'Donation',
dpanel_hdr_text varchar(128) default 'Help Support Our Site!',
don_amount_checked tinyint(2) NOT NULL default '1',
pp_item_num tinyint(4) NOT NULL default '110',
don_prompt_anon_show int(1) NOT NULL default '1',
ipn_debug_lvl tinyint(1) NOT NULL default '0',
ipn_log_entries int(4) NOT NULL default '2000',
don_hdr_text text,
PRIMARY KEY  (Id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_DM_FINANCIAL." (
id int(11) NOT NULL auto_increment,
date datetime NOT NULL default '0000-00-00 00:00:00',
num char(16) NOT NULL default '',
name char(128) NOT NULL default '',
descr char(128) NOT NULL default '',
amount char(10) NOT NULL default '',
PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=33;";

$inf_newtable[3] = DB_DM_TRANSACTIONS." (
id int(8) unsigned NOT NULL auto_increment,
business varchar(50) NOT NULL default '',
txn_id varchar(20) NOT NULL default '',
item_name varchar(60) NOT NULL default '',
item_number varchar(40) NOT NULL default '',
quantity varchar(6) NOT NULL default '',
invoice varchar(40) NOT NULL default '',
custom varchar(127) NOT NULL default '',
tax varchar(10) NOT NULL default '',
option_name1 varchar(60) NOT NULL default '',
option_selection1 varchar(127) NOT NULL default '',
option_name2 varchar(60) NOT NULL default '',
option_selection2 varchar(127) NOT NULL default '',
memo text NOT NULL,
payment_status varchar(15) NOT NULL default '',
payment_date datetime NOT NULL default '0000-00-00 00:00:00',
txn_type varchar(15) NOT NULL default '',
mc_gross varchar(10) NOT NULL default '',
mc_fee varchar(10) NOT NULL default '',
mc_currency varchar(5) NOT NULL default '',
settle_amount varchar(12) NOT NULL default '',
exchange_rate varchar(10) NOT NULL default '',
first_name varchar(127) NOT NULL default '',
last_name varchar(127) NOT NULL default '',
address_street varchar(127) NOT NULL default '',
address_city varchar(127) NOT NULL default '',
address_state varchar(127) NOT NULL default '',
address_zip varchar(20) NOT NULL default '',
address_country varchar(127) NOT NULL default '',
address_status varchar(15) NOT NULL default '',
payer_email varchar(127) NOT NULL default '',
payer_status varchar(15) NOT NULL default '',
PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=65;";

$inf_newtable[4] = DB_DM_TRANSLOG." (
id int(11) NOT NULL auto_increment,
log_date datetime NOT NULL default '0000-00-00 00:00:00',
payment_date datetime NOT NULL default '0000-00-00 00:00:00',
logentry text NOT NULL,
PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=63;";

$inf_newtable[5] = DB_DM_OPTIONS." (
id int(11) NOT NULL auto_increment,
name varchar(32) default NULL,
subtype varchar(32) default NULL,
value decimal(8,2) NOT NULL default '10.00',
text text,
PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=63;";

$inf_newtable[6] = DB_DM_FEES." (
id int(11) NOT NULL auto_increment,
user_id int(4) NOT NULL default '0',
yearlyfee int(8) NOT NULL default '0',
terms varchar(64) NOT NULL default '',
joindate date NOT NULL default '0000-00-00',
PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_DM_CONFIG;
$inf_droptable[2] = DB_DM_FINANCIAL;
$inf_droptable[3] = DB_DM_TRANSACTIONS;
$inf_droptable[4] = DB_DM_TRANSLOG;
$inf_droptable[5] = DB_DM_OPTIONS;
$inf_droptable[6] = DB_DM_FEES;

$inf_adminpanel[1] = array(
	"title" => $locale['dm_inf_title'],
	"image" => "infusion_panel.gif",
	"panel" => "donation_manager_admin.php",
	"rights" => "DM"
);

?>