<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
/*---------------------------------------------------+
| Donation Manager
+----------------------------------------------------+
| Copyright  2005 - 2006 Chris Allen
| http://www.teamtus.com/
| Update - Dallas
| http://dtawebdesign.com/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."donation_manager_panel/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);


if (file_exists(INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."donation_manager_panel/locale/English.php";
}
	require_once INFUSIONS."donation_manager_panel/includes/inc_functions.php";


//Start content header here!
opentable($locale['dm_admin_header']);
//Start main table and options here!
echo"
	<table width='100%' border='0' cellspacing='0' cellpadding='0'>
	  <tr> 
	    <td><center><a href='".INFUSIONS."donation_manager_panel/donation_manager_admin.php?step=paneloptions'>Panel Options</a></center></td>
	    <td><center><a href='".INFUSIONS."donation_manager_panel/donation_manager_admin.php?step=donationoptions'>Donation Options</a></center></td>
	    <td><center><a href='".INFUSIONS."donation_manager_panel/donation_manager_admin.php?step=paypaloptions'>Paypal Options</a></center></td>
	    <td><center><a href='".INFUSIONS."donation_manager_panel/donation_manager_admin.php?step=membershipfees'>Manage Membership Fees</a></center></td>
	    <td><center></center></td>
	  </tr>
	  <tr> 
	    <td colspan='6'><br><br>";
//End Main table start!

if (!isset($step)) $step = "paneloptions";

//Start validation code here! JScript code to validate form fields.
include INFUSIONS."donation_manager_panel/includes/inc_jscript_validation_code.htm";

$checktable = fnTableExists($db_name, $db_prefix."dm_config");
if ($checktable != false){
	// Validate if this is a new installation. If it is. set defaults in database!
	
	//Check options db
	$check_count = dbquery("select count(*) as count from ".$db_prefix."dm_options");
	while($data = dbarray($check_count)) {
		$check_options_count = $data['count'];
	}
	if ($check_options_count == 0){
		//Insert monthly donation defaults
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('1','goal', 'Jan', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('2','goal', 'Feb', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('3','goal', 'Mar', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('4','goal', 'Apr', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('5','goal', 'May', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('6','goal', 'Jun', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('7','goal', 'Jul', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('8','goal', 'Aug', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('9','goal', 'Sep', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('10','goal', 'Oct', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('11','goal', 'Nov', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('12','goal', 'Dec', '50.00', '')");
		//Insert Donation Amount Defaults
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('13','don_amt', '1', '5.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('14','don_amt', '2', '10.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('15','don_amt', '3', '15.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('16','don_amt', '4', '20.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('17','don_amt', '5', '30.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('18','don_amt', '6', '40.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('19','don_amt', '7', '50.00', '')");
		$result = dbquery("INSERT INTO ".DB_DM_OPTIONS." VALUES ('20','don_amt', '8', '100.00', '')");
		echo "<center><font color='red'><b>".$locale['dm_admin_new_install_found']."<b></font></center><br><br>";
	}
	//validate if any data exists in config table.
	//	if no then dont get data. Just set defaults to ""
	$check_conf_count = dbquery("select count(*) as count from ".$db_prefix."dm_config");
	while($data = dbarray($check_conf_count)) {
		$check_config_count = $data['count'];
	}
	if ($check_config_count == 0){
		//Add default records since data does not exist.
		$result = dbquery("INSERT INTO ".DB_DM_CONFIG." VALUES ('1', '', '0', '5', '1', '1', 'https://www.paypal.com/en_US/i/btn/x-click-but21.gif', 'https://www.paypal.com/en_US/i/btn/x-click-but04.gif', 'https://www.paypal.com/en_US/i/btn/x-click-but21.gif', '', '','', 'Donation', 'Help Support Our Site!', '1', '110', '1', '2', '2000', '".$locale['dm_admin_don_hdr_text_default']."')");
	}

	$get_config = dbquery("SELECT * FROM ".$db_prefix."dm_config");
	while($data = dbarray($get_config)) {
		$dm_config_id = $data['Id'];
		$pp_email_addr = $data['pp_email_addr'];
		$dpanel_swing_day = $data['dpanel_swing_day'];
		$dpanel_num_don = $data['dpanel_num_don'];
		$dpanel_show_amt = $data['dpanel_show_amt'];
		$dpanel_show_date = $data['dpanel_show_date'];
		$img_dpanel_button = $data['img_dpanel_button'];
		$img_don_submit_button = $data['img_don_submit_button'];
		$img_don_top_button = $data['img_don_top_button'];
		$img_paypal_header = $data['img_paypal_header'];
		$pp_cancel_url = $data['pp_cancel_url'];
		$pp_thankyou_url = $data['pp_thankyou_url'];
		$pp_item_name = $data['pp_item_name'];
		$dpanel_hdr_text = $data['dpanel_hdr_text'];
		$don_amount_checked = $data['don_amount_checked'];
		$pp_item_num = $data['pp_item_num'];
		$don_prompt_anon_show = $data['don_prompt_anon_show'];
		$ipn_debug_lvl = $data['ipn_debug_lvl'];
		$ipn_log_entries = $data['ipn_log_entries'];
		$don_hdr_text = $data['don_hdr_text'];

		$check_show_amtcheck_1 = "";
		$check_show_amtcheck_2 = "";
		$check_show_amtcheck_3 = "";
		$check_show_amtcheck_4 = "";
		$check_show_amtcheck_5 = "";
		$check_show_amtcheck_6 = "";
		$check_show_amtcheck_7 = "";
		$check_show_amtcheck_8 = "";

		switch($don_amount_checked)
		{
			case 1:
				$check_show_amtcheck_1 = "selected";
				break;
			case 2:
				$check_show_amtcheck_2 = "selected";
				break;
			case 3:
				$check_show_amtcheck_3 = "selected";
				break;
			case 4:
				$check_show_amtcheck_4 = "selected";
				break;
			case 5:
				$check_show_amtcheck_5 = "selected";
				break;
			case 6:
				$check_show_amtcheck_6 = "selected";
				break;
			case 7:
				$check_show_amtcheck_7 = "selected";
				break;
			case 8:
				$check_show_amtcheck_8 = "selected";
				break;
		}

		if ($dpanel_show_amt == 0) {
			$check_show_amt_yes = "";
			$check_show_amt_no = "selected";
		}else{
			$check_show_amt_yes = "selected";
			$check_show_amt_no = "";
		}

		if ($dpanel_show_date == 0) {
			$check_show_dates_yes = "";
			$check_show_dates_no = "selected";
		}else{
			$check_show_dates_yes = "selected";
			$check_show_dates_no = "";
		}
	}

	//Get donation amounts from db...
	$get_donation_amounts = dbquery("SELECT subtype, value FROM ".$db_prefix."dm_options");
	while($data = dbarray($get_donation_amounts)) {
		switch($data['subtype'])
		{
			case 1:
				$don_amount_value_1 = $data['value'];
				break;
			case 2:
				$don_amount_value_2 = $data['value'];
				break;
			case 3:
				$don_amount_value_3 = $data['value'];
				break;
			case 4:
				$don_amount_value_4 = $data['value'];
				break;
			case 5:
				$don_amount_value_5 = $data['value'];
				break;
			case 6:
				$don_amount_value_6 = $data['value'];
				break;
			case 7:
				$don_amount_value_7 = $data['value'];
				break;
			case 8:
				$don_amount_value_8 = $data['value'];
				break;
			case "Jan";
				$don_goal_jan = $data['value'];
				break;
			case "Feb";
				$don_goal_feb = $data['value'];
				break;
			case "Mar";
				$don_goal_mar = $data['value'];
				break;
			case "Apr";
				$don_goal_apr = $data['value'];
				break;
			case "May";
				$don_goal_may = $data['value'];
				break;
			case "Jun";
				$don_goal_jun = $data['value'];
				break;
			case "Jul";
				$don_goal_jul = $data['value'];
				break;
			case "Aug";
				$don_goal_aug = $data['value'];
				break;
			case "Sep";
				$don_goal_sep = $data['value'];
				break;
			case "Oct";
				$don_goal_oct = $data['value'];
				break;
			case "Nov";
				$don_goal_nov = $data['value'];
				break;
			case "Dec";
				$don_goal_dec = $data['value'];
				break;
		}
	}

	//Check for updates / additions being processed. Process them accordingly.
	if (isset($_POST['panelupdate'])) {
		$dpanel_swing_day = stripinput($_POST['dpanel_swing_day']);
		$dpanel_hdr_text = stripinput($_POST['dpanel_hdr_text']);
		$dpanel_num_don = stripinput($_POST['dpanel_num_don']);
		$dpanel_show_date = stripinput($_POST['dpanel_show_date']);
		$dpanel_show_amt = stripinput($_POST['dpanel_show_amt']);
		$img_dpanel_button = stripinput($_POST['img_dpanel_button']);
		$result = dbquery("UPDATE ".$db_prefix."dm_config SET "
							//."pp_email_addr='$pp_email_addr', "
							."dpanel_swing_day='$dpanel_swing_day', "
							."dpanel_num_don='$dpanel_num_don', "
							."dpanel_show_amt='$dpanel_show_amt', "
							."dpanel_show_date='$dpanel_show_date', "
							."img_dpanel_button='$img_dpanel_button', "
							//."img_don_submit_button='$img_don_submit_button', "
							//."img_don_top_button='$img_don_top_button', "
							//."img_paypal_header='$img_paypal_header', "
							//."pp_cancel_url='$pp_cancel_url', "
							//."pp_thankyou_url='$pp_thankyou_url', "
							//."pp_item_name='$pp_item_name', "
							."dpanel_hdr_text='$dpanel_hdr_text' "
							//."don_amount_checked='$don_amount_checked', "
							//."pp_item_num='$pp_item_num', "
							//."don_prompt_anon_show='$don_prompt_anon_show', "
							//."ipn_debug_lvl='$ipn_debug_lvl', "
							//."ipn_log_entries='$ipn_log_entries' "
							."WHERE Id='$dm_config_id'");
			redirect("donation_manager_admin.php?step=donationoptions");
	}

	if (isset($_POST['donationupdate'])) {
		//echo "Is this working?";
		$var_goal_Jan = stripinput($_POST['var_goal_Jan']);
		$var_goal_Feb = stripinput($_POST['var_goal_Feb']);
		$var_goal_Mar = stripinput($_POST['var_goal_Mar']);
		$var_goal_Apr = stripinput($_POST['var_goal_Apr']);
		$var_goal_May = stripinput($_POST['var_goal_May']);
		$var_goal_Jun = stripinput($_POST['var_goal_Jun']);
		$var_goal_Jul = stripinput($_POST['var_goal_Jul']);
		$var_goal_Aug = stripinput($_POST['var_goal_Aug']);
		$var_goal_Sep = stripinput($_POST['var_goal_Sep']);
		$var_goal_Oct = stripinput($_POST['var_goal_Oct']);
		$var_goal_Nov = stripinput($_POST['var_goal_Nov']);
		$var_goal_Dec = stripinput($_POST['var_goal_Dec']);

		$var_don_amount_1 = stripinput($_POST['var_don_amount_1']);
		$var_don_amount_2 = stripinput($_POST['var_don_amount_2']);
		$var_don_amount_3 = stripinput($_POST['var_don_amount_3']);
		$var_don_amount_4 = stripinput($_POST['var_don_amount_4']);
		$var_don_amount_5 = stripinput($_POST['var_don_amount_5']);
		$var_don_amount_6 = stripinput($_POST['var_don_amount_6']);
		$var_don_amount_7 = stripinput($_POST['var_don_amount_7']);
		$var_don_amount_8 = stripinput($_POST['var_don_amount_8']);

		$var_don_amt_checked = stripinput($_POST['var_don_amt_checked']);
		$var_don_text_rawtext_txt = stripinput($_POST['var_don_text_rawtext_txt']);
		$var_don_button_submit = stripinput($_POST['var_don_button_submit']);
		$var_don_button_top = stripinput($_POST['var_don_button_top']);

		$result = dbquery("UPDATE ".$db_prefix."dm_config SET "
							."img_don_submit_button='$var_don_button_submit', "
							."img_don_top_button='$var_don_button_top', "
							."don_amount_checked='$var_don_amt_checked', "
							."don_prompt_anon_show='$don_prompt_anon_show', "
							."don_hdr_text='$var_don_text_rawtext_txt'");

		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_1' WHERE subtype=1");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_2' WHERE subtype=2");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_3' WHERE subtype=3");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_4' WHERE subtype=4");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_5' WHERE subtype=5");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_6' WHERE subtype=6");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_7' WHERE subtype=7");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_don_amount_8' WHERE subtype=8");


		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Jan' WHERE subtype=\"Jan\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Feb' WHERE subtype=\"Feb\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Mar' WHERE subtype=\"Mar\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Apr' WHERE subtype=\"Apr\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_May' WHERE subtype=\"May\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Jun' WHERE subtype=\"Jun\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Jul' WHERE subtype=\"Jul\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Aug' WHERE subtype=\"Aug\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Sep' WHERE subtype=\"Sep\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Oct' WHERE subtype=\"Oct\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Nov' WHERE subtype=\"Nov\"");
		$result = dbquery("UPDATE ".DB_DM_OPTIONS." SET value='$var_goal_Dec' WHERE subtype=\"Dec\"");

		//$result = dbquery("UPDATE ".$db_prefix."dm_options SET value='$var_goal_Jan' WHERE subtype=''");
		//$result = dbquery("UPDATE ".$db_prefix."dm_options SET value='$var_goal_Jan' WHERE subtype=''");
		//echo "<br>Got passed updates....";
		redirect("donation_manager_admin.php?step=paypaloptions");
	}

	if (isset($_POST['insertMembershipFee'])) {
		$user_id = stripinput($_POST['user_id']);
		//$terms = stripinput($_POST['terms']);
		$yearlyfee = stripinput($_POST['yearlyfee']);
		$joindate = stripinput($_POST['year'])."-".stripinput($_POST['month'])."-01";

		$result = dbquery("INSERT INTO ".DB_DM_FEES." VALUES ('', '".$user_id."', ".$yearlyfee.", 'NA', '".$joindate."')");
//		$result = dbquery("UPDATE ".$db_prefix."dm_fees SET "
//							."user_id='$user_id', "
//							."terms='$terms', "
//							."yearlyfee='$yearlyfee' "
//							."WHERE Id='$dm_config_id'");
			redirect("donation_manager_admin.php?step=membershipfees");
	}



	//Check for updates / additions being processed. Process them accordingly.
	if (isset($_POST['paypalupdate'])) {
		$pp_email_addr = stripinput($_POST['pp_email_addr']);
		$img_paypal_header = stripinput($_POST['img_paypal_header']);
		$pp_cancel_url = stripinput($_POST['pp_cancel_url']);
		$pp_thankyou_url = stripinput($_POST['pp_thankyou_url']);
		$pp_item_name = stripinput($_POST['pp_item_name']);
		$pp_item_num = stripinput($_POST['pp_item_num']);
		$ipn_debug_lvl = stripinput($_POST['ipn_debug_lvl']);
		$ipn_log_entries = stripinput($_POST['ipn_log_entries']);
		$result = dbquery("UPDATE ".DB_DM_CONFIG." SET "
							."pp_email_addr='$pp_email_addr', "
							."img_paypal_header='$img_paypal_header', "
							."pp_cancel_url='$pp_cancel_url', "
							."pp_thankyou_url='$pp_thankyou_url', "
							."pp_item_name='$pp_item_name', "
							."pp_item_num='$pp_item_num', "
							."ipn_debug_lvl='$ipn_debug_lvl', "
							."ipn_log_entries='$ipn_log_entries' "
							."WHERE Id='$dm_config_id'");
			redirect("donation_manager_admin.php?step=paypaloptions");
	}

	if (isset($_POST['inserttrans'])) {
		$trans_business = stripinput($_POST['business']);
		$trans_txn_id = stripinput($_POST['txn_id']);
		$trans_item_name = stripinput($_POST['item_name']);
		$trans_item_number = stripinput($_POST['item_number']);
		$trans_quantity = stripinput($_POST['quantity']);
		$trans_invoice = stripinput($_POST['invoice']);
		$trans_custom = stripinput($_POST['custom']);
		$trans_tax = stripinput($_POST['tax']);
		$trans_option_name1 = stripinput($_POST['option_name1']);
		$trans_option_selection1 = stripinput($_POST['option_selection1']);
		$trans_option_name2 = stripinput($_POST['option_name2']);
		$trans_option_selection2 = stripinput($_POST['option_selection2']);
		$trans_memo = stripinput($_POST['memo']);
		$trans_payment_status = stripinput($_POST['payment_status']);
		$trans_payment_date = stripinput($_POST['payment_date']);
		$trans_txn_type = stripinput($_POST['txn_type']);
		$trans_mc_gross = stripinput($_POST['mc_gross']);
		$trans_mc_fee = stripinput($_POST['mc_fee']);
		$trans_mc_currency = stripinput($_POST['mc_currency']);
		$trans_settle_amount = stripinput($_POST['settle_amount']);
		$trans_exchange_rate = stripinput($_POST['exchange_rate']);
		$trans_first_name = stripinput($_POST['first_name']);
		$trans_last_name = stripinput($_POST['last_name']);
		$trans_address_address = stripinput($_POST['address_address']);
		$trans_address_city = stripinput($_POST['address_city']);
		$trans_address_state = stripinput($_POST['address_state']);
		$trans_address_zip = stripinput($_POST['address_zip']);
		$trans_address_country = stripinput($_POST['address_country']);
		$trans_address_status = stripinput($_POST['address_status']);
		$trans_payer_email = stripinput($_POST['payer_email']);
		$trans_payer_status = stripinput($_POST['payer_status']);

		$result = dbquery("INSERT INTO ".$db_prefix."dm_transactions VALUES (
			'', '".$trans_business."', '".$trans_txn_id."', '".$trans_item_name."', 
			'".$trans_item_number."', '".$trans_quantity."', '".$trans_invoice."', 
			'".$trans_custom."', '".$trans_tax."', '".$trans_option_name1."', 
			'".$trans_option_selection1."', '".$trans_option_name2."', '".$trans_option_selection2."', 
			'".$trans_memo."', '".$trans_payment_status."', '".$trans_payment_date."', 
			'".$trans_txn_type."', '".$trans_mc_gross."', '".$trans_mc_fee."', 
			'".$trans_mc_currency."', '".$trans_settle_amount."', '".$trans_exchange_rate."', 
			'".$trans_first_name."', '".$trans_last_name."', '".$trans_address_address."', 
			'".$trans_address_city."', '".$trans_address_state."', '".$trans_address_zip."', 
			'".$trans_address_country."', '".$trans_address_status."', '".$trans_payer_email."', 
			'".$trans_payer_status."')");
		redirect("donation_manager_admin.php?step=transactions");
	}



	//Check for updates / additions being processed. Process them accordingly.
	if (isset($_POST['transupdate'])) {
		$trans_business = stripinput($_POST['business']);
		$trans_txn_id = stripinput($_POST['txn_id']);
		$trans_item_name = stripinput($_POST['item_name']);
		$trans_item_number = stripinput($_POST['item_number']);
		$trans_quantity = stripinput($_POST['quantity']);
		$trans_invoice = stripinput($_POST['invoice']);
		$trans_custom = stripinput($_POST['custom']);
		$trans_tax = stripinput($_POST['tax']);
		$trans_option_name1 = stripinput($_POST['option_name1']);
		$trans_option_selection1 = stripinput($_POST['option_selection1']);
		$trans_option_name2 = stripinput($_POST['option_name2']);
		$trans_option_selection2 = stripinput($_POST['option_selection2']);
		$trans_memo = stripinput($_POST['memo']);
		$trans_payment_status = stripinput($_POST['payment_status']);
		$trans_payment_date = stripinput($_POST['payment_date']);
		$trans_txn_type = stripinput($_POST['txn_type']);
		$trans_mc_gross = stripinput($_POST['mc_gross']);
		$trans_mc_fee = stripinput($_POST['mc_fee']);
		$trans_mc_currency = stripinput($_POST['mc_currency']);
		$trans_settle_amount = stripinput($_POST['settle_amount']);
		$trans_exchange_rate = stripinput($_POST['exchange_rate']);
		$trans_first_name = stripinput($_POST['first_name']);
		$trans_last_name = stripinput($_POST['last_name']);
		$trans_address_address = stripinput($_POST['address_address']);
		$trans_address_city = stripinput($_POST['address_city']);
		$trans_address_state = stripinput($_POST['address_state']);
		$trans_address_zip = stripinput($_POST['address_zip']);
		$trans_address_country = stripinput($_POST['address_country']);
		$trans_address_status = stripinput($_POST['address_status']);
		$trans_payer_email = stripinput($_POST['payer_email']);
		$trans_payer_status = stripinput($_POST['payer_status']);
		$result = dbquery("UPDATE ".$db_prefix."dm_transactions SET "
							."pp_email_addr='$pp_email_addr', "
							."business='$trans_business' "
							."txn_id='$trans_txn_id' "
							."item_name='$trans_item_name' "
							."item_number='$trans_item_number' "
							."quantity='$trans_quantity' "
							."invoice='$trans_invoice' "
							."custom='$trans_custom' "
							."tax='$trans_tax' "
							."option_name1='$trans_option_name1' "
							."option_selection1='$trans_option_selection1' "
							."option_name2='$trans_option_name2' "
							."option_selection2='$trans_option_selection2' "
							."memo='$trans_memo' "
							."payment_status='$trans_payment_status' "
							."payment_date='$trans_payment_date' "
							."txn_type='$trans_txn_type' "
							."mc_gross='$trans_mc_gross' "
							."mc_fee='$trans_mc_fee' "
							."mc_currency='$trans_mc_currency' "
							."settle_amount='$trans_settle_amount' "
							."exchange_rate='$trans_exchange_rate' "
							."first_name='$trans_first_name' "
							."last_name='$trans_last_name' "
							."address_address='$trans_address_address' "
							."address_city='$trans_address_city' "
							."address_state='$trans_address_state' "
							."address_zip='$trans_address_zip' "
							."address_country='$trans_address_country' "
							."address_status='$trans_address_status' "
							."payer_email='$trans_payer_email' "
							."payer_status='$trans_payer_status' "
							."WHERE Id='$dm_config_id'");
			redirect("donation_manager_admin.php?step=transactions");
	}



	//Content Goes Here! Write config form!
	//echo "Configure Donation Manager Here!";
}else{
	echo "<center>".$locale['dm_err001']."</center>\n";
	$error_occured = true;
}



//Now process the page content since the database has been validated

//Option for deleting a member fee entry.
if (isset($removeMemberFee) and $step == "delFeeUser" and !$error_occured) {
	echo "<center><font color='red' size='2'><b>Deleting User From Members Fee's Table!</b></font></center><br><br>";
	$result = dbquery("DELETE FROM ".DB_DM_FEES." WHERE user_id='".$removeMemberFee."'");
	//opentable("Delete Activation");
		echo "<center>\n ".$deluser." has been deleted!<br><br>\n</center>\n";
	//closetable();

	//include INFUSIONS."donation_manager_panel/includes/inc_panel_admin_form.php";
}


//Configure panel options here!
if ($step == "paneloptions" and !$error_occured) {
	//echo "Configure Panel Options Here!<br><br>";
	echo "<center><font color='red' size='2'><b>Step 1 - Panel Options</b></font></center><br><br>";
	include INFUSIONS."donation_manager_panel/includes/inc_panel_admin_form.php";
}
//Configure donation options here!
if ($step == "donationoptions" and !$error_occured) {
	//echo "Configure Donation Options Here!";
	echo "<center><font color='red' size='2'><b>Step 2 - Donation Options</b></font></center><br><br>";
	include INFUSIONS."donation_manager_panel/includes/inc_donate_admin_form.php";
}
//Configure paypal options here!
if ($step == "paypaloptions" and !$error_occured) {
	//echo "Configure Paypal Options Here!";
	echo "<center><font color='red' size='2'><b>Step 3 - Paypal Options</b></font></center><br><br>";
	include INFUSIONS."donation_manager_panel/includes/inc_paypal_admin_form.php";
}
//Manage membership fees here.
if ($step == "membershipfees" and !$error_occured) {
	//echo "Process IPN Reconcile Here!";
	include INFUSIONS."donation_manager_panel/includes/inc_membership_fees_admin_form.php";
}
//Add and remove transactions here. Or just view them!
if ($step == "transactions" and !$error_occured) {
	echo "View and Modify Transactions Here!";
	include INFUSIONS."donation_manager_panel/includes/inc_transaction_admin_form.php";
}

//Main table to wrapper the inside tables. This is for the 4 header links and main window!
echo "
		</td>
	  </tr>
	</table>
";

closetable();
require_once THEMES."templates/footer.php";
?>