<?

	$FULL_USER_LIST = "";
	$get_user_list = dbquery("SELECT us.user_id, us.user_name FROM fusion_users us
WHERE us.user_id NOT IN (SELECT f.user_id FROM fusion_dm_fees f WHERE f.user_id = us.user_id) AND us.user_name LIKE ']-TUS%'
ORDER BY us.user_name");
	while($data = dbarray($get_user_list)) {
		$FULL_USER_LIST .= "<option value=" . $data['user_id'] . ">" . $data['user_name'] . "</option>\n";
	}


	$TABLE_DATA1 = "";
	$get_current_info = dbquery("SELECT 
			u.user_name as username,
		    f.terms as terms,
		    ROUND(f.yearlyfee, 2) as yearly_set_fee,
			CASE DATE_FORMAT(f.joinDate, '%Y')
				WHEN DATE_FORMAT(now(), '%Y')
					THEN ROUND((f.yearlyfee / 12) * ((DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1)), 2)
					ELSE ROUND(f.yearlyfee, 2)
            		END as adj_yearly_fee,
		    ROUND(sum(t.mc_gross),2) as ytd_paid,
		    (12 - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_total_months,
		    (DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_months_passed,
			DATE_FORMAT(f.joinDate, '%Y') as join_year,
			DATE_FORMAT(f.joinDate, '%c') as join_month
		FROM fusion_users u, fusion_dm_fees f, fusion_dm_transactions t
		WHERE f.user_id = u.user_id and t.option_selection2 = f.user_id
		GROUP BY t.option_selection2 ORDER BY u.user_name");

	while($data = dbarray($get_current_info)) {
		$str_username = $data['username'];
		$int_joinDate = $data['join_month'] . "." . $data['join_year'];
		$int_yearlyFee = sprintf('$%.02f',$data['yearly_set_fee']);
		$int_adjFee = sprintf('$%.02f',$data['adj_yearly_fee']);
		$int_ytdFeesPaid = sprintf('$%.02f',$data['ytd_paid']);
		$int_tydFeedLeftover = sprintf('$%.02f',($data['adj_yearly_fee'] - $data['ytd_paid']));
		if ($data['adj_yearly_fee'] != 0){
			$int_ytdPctPaid = sprintf('%.00f',$data['ytd_paid'] / $data['adj_yearly_fee'] * 100);
		}
		$int_projYTDPct = sprintf('%.00f',(100 / $data['adj_total_months']) * $data['adj_months_passed']);
		$int_projYTDTotal = sprintf('$%.02f',($data['adj_yearly_fee'] / $data['adj_total_months']) * $data['adj_months_passed']);
	//	$int_ = "";
	//	$int_ = "";
		
		
		
		$TABLE_DATA1 .= "<tr>\n";
		$TABLE_DATA1 .= "	<td>" . $str_username . "</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_joinDate . "</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_yearlyFee . "</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_adjFee . "</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_ytdFeesPaid . "</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_tydFeedLeftover . "</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_ytdPctPaid . "%</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_projYTDPct . "%</td>\n";
		$TABLE_DATA1 .= "	<td>" . $int_projYTDTotal . "</td>\n";
		$TABLE_DATA1 .= "</tr>\n";
	}


	$TABLE_DATA2 = "";
	$get_user_list = dbquery("SELECT u.user_name as username,
					f.terms as terms,
					ROUND(f.yearlyfee, 2) as yearly_set_fee,
					CASE DATE_FORMAT(f.joinDate, '%Y')
						WHEN DATE_FORMAT(now(), '%Y')
							THEN ROUND((f.yearlyfee / 12) * ((DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1)), 2)
							ELSE ROUND(f.yearlyfee, 2)
							END as adj_yearly_fee,
						ROUND(0,2) as ytd_paid,
						(12 - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_total_months,
						(DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_months_passed,
						DATE_FORMAT(f.joinDate, '%Y') as join_year,
						DATE_FORMAT(f.joinDate, '%c') as join_month
					FROM fusion_users u, fusion_dm_fees f
					LEFT JOIN fusion_dm_transactions t ON 
					f.user_id = t.option_selection2
					WHERE t.option_selection2 is null AND f.user_id = u.user_id
					ORDER BY u.user_name
	");
	while($data = dbarray($get_user_list)) {
		$str_username = $data['username'];
		$int_joinDate = $data['join_month'] . "." . $data['join_year'];
		$int_yearlyFee = sprintf('$%.02f',$data['yearly_set_fee']);
		$int_adjFee = sprintf('$%.02f',$data['adj_yearly_fee']);
		$int_ytdFeesPaid = sprintf('$%.02f',$data['ytd_paid']);
		$int_tydFeedLeftover = sprintf('$%.02f',($data['adj_yearly_fee'] - $data['ytd_paid']));
		if ($data['adj_yearly_fee'] != 0){
			$int_ytdPctPaid = sprintf('%.00f',$data['ytd_paid'] / $data['adj_yearly_fee'] * 100);
		}
		$int_projYTDPct = sprintf('%.00f',(100 / $data['adj_total_months']) * $data['adj_months_passed']);
		$int_projYTDTotal = sprintf('$%.02f',($data['adj_yearly_fee'] / $data['adj_total_months']) * $data['adj_months_passed']);
	//	$int_ = "";
	//	$int_ = "";
		
//echo '<tr><td>"='.$line[lob].'"</td>';
//echo '<td>"='.$line[cpc].'"</td>';
//echo '<td>"='.$line[location].'"</td>';
//echo '<td>'.$line[quantity].'</td>';
//echo '<td>'.$line[received].'</td>';
//echo '<td>'.$line[shipped].'</td>';
//echo '<td>"='.$line[comments].'"</td>';
//echo "</tr>\n";

		
		$TABLE_DATA2 .= "<tr>\n";
		$TABLE_DATA2 .= "	<td>" . $str_username . "</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_joinDate . "</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_yearlyFee . "</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_adjFee . "</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_ytdFeesPaid . "</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_tydFeedLeftover . "</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_ytdPctPaid . "%</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_projYTDPct . "%</td>\n";
		$TABLE_DATA2 .= "	<td>" . $int_projYTDTotal . "</td>\n";
		$TABLE_DATA2 .= "</tr>\n";
	}













//(sum(t.mc_gross) / ((f.yearlyfee / 12) * 5) * 100)
	//	<td><b>Member</b></td>
	//	<td><b>Joined</b></td>
	//	<td><b>Yearly Fee</b></td>
	//	<td><b>Adj Fee</b></td>
//	<td><b>YTD Fees Paid</b></td>
//	<td><b>YTD Fees Leftover</b></td>
//	<td><b>YTD % Paid</b></td>
//	<td><b>Projected YTD %</b></td>
//	<td><b>Projected YTD Fee</b></td>








echo "
<form name='memberfees' method='post' action='donation_manager_admin.php'>
  <table width='100%' border='0' cellpadding='0' cellspacing='3'>
    <tr> 
      <td><div align='right'>Select Member:</div></td>
      <td><select name='user_id'>".$FULL_USER_LIST."
        </select></td>
    </tr>
    <tr> 
      <td><div align='right'>Membership Fee Duration:</div></td>
      <td><label> 
        <input type='radio' name='terms' value='Monthly' checked>
        Monthly Fee</label> <label> 
        <input type='radio' name='terms' value='Yearly'>
        Yearly Fee</label> </td>
    </tr>
    <tr> 
      <td><div align='right'>Yearly Membership Fees:</div></td>
      <td><input type='text' name='yearlyfee' value='60.00'></td>
    </tr>
    <tr> 
      <td><div align='right'>Member Joined:</div></td>
      <td>  
		<select name='month'>
		    <option value='1' selected>Jan</option>
		    <option value='2'>Feb</option>
		    <option value='3'>Mar</option>
		    <option value='4'>Apr</option>
		    <option value='5'>May</option>
		    <option value='6'>Jun</option>
		    <option value='7'>Jul</option>
		    <option value='8'>Aug</option>
		    <option value='9'>Sep</option>
		    <option value='10'>Oct</option>
		    <option value='11'>Nov</option>
		    <option value='12'>Dec</option>
		</select>
		<select name='year'>
		    <option value='2005' >2005</option>
		    <option value='2006' selected>2006</option>
		    <option value='2007'>2007</option>
		    <option value='2008'>2008</option>
		    <option value='2009'>2007</option>
		    <option value='2010'>2008</option>
		</select>
</td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td><input type='submit' name='insertMembershipFee' value='Add Member'></td>
    </tr>
  </table>
</form>


















<BR>
<BR>
<BR>
<BR>

  <table width='100%' border='0' cellpadding='0' cellspacing='0'>
    <tr align='center'> 
      <td colspan='9'><strong><font size='3'>Members Summary</font></strong></td>
    </tr>
    <tr align='center'> 
      <td colspan='9'>&nbsp;</td>
    </tr>
    <tr>
      <td><b>Member</b></td>
      <td><b>Joined</b></td>
      <td><b>Yearly Fee</b></td>
      <td><b>Adj Fee</b></td>
      <td><b>YTD Fees Paid</b></td>
      <td><b>YTD Fees Leftover</b></td>
      <td><b>YTD % Paid</b></td>
      <td><b>Projected YTD %</b></td>
      <td><b>Projected YTD Total</b></td>
    </tr>
$TABLE_DATA1
<tr align='center'> 
      <td colspan='9'>&nbsp;</td>
    </tr>

$TABLE_DATA2
  </table><br><br>
  
  
  <div width='100' style='filter:shadow(color:black);float:right;font-weight:bold;font-size:18pt;font-family:georgia;color:white;padding:10px;'><a href=".INFUSIONS."donation_manager_panel/includes/exportmemberfees.php>Export To Excel</a></div>


  
  
  
  
  
  
	";
	
	//<a href=".INFUSIONS."donation_manager_panel/includes/exportmemberfees.php>Export To Excel</a>
?>